OpenCV: cv::cuda::ORB Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::cuda::ORB Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Feature Detection and Description

Class implementing the ORB (oriented BRIEF) keypoint detector and descriptor extractor. More...

`#include "cudafeatures2d.hpp"`

Inheritance diagram for cv::cuda::ORB:

## Public Types
enum | { X_ROW = 0, Y_ROW, RESPONSE_ROW, ANGLE_ROW, OCTAVE_ROW, SIZE_ROW, ROWS_COUNT }
Public Types inherited from cv::ORB
enum | { kBytes = 32, HARRIS_SCORE =0, FAST_SCORE =1 }

## Public Member Functions
virtual bool | getBlurForDescriptor () const =0
virtual void | setBlurForDescriptor (bool blurForDescriptor)=0
| if true, image will be blurred before descriptors calculation More...
Public Member Functions inherited from cv::ORB
virtual String | getDefaultName () const CV_OVERRIDE
virtual int | getEdgeThreshold () const =0
virtual int | getFastThreshold () const =0
virtual int | getFirstLevel () const =0
virtual int | getMaxFeatures () const =0
virtual int | getNLevels () const =0
virtual int | getPatchSize () const =0
virtual double | getScaleFactor () const =0
virtual int | getScoreType () const =0
virtual int | getWTA_K () const =0
virtual void | setEdgeThreshold (int edgeThreshold)=0
virtual void | setFastThreshold (int fastThreshold)=0
virtual void | setFirstLevel (int firstLevel)=0
virtual void | setMaxFeatures (int maxFeatures)=0
virtual void | setNLevels (int nlevels)=0
virtual void | setPatchSize (int patchSize)=0
virtual void | setScaleFactor (double scaleFactor)=0
virtual void | setScoreType (int scoreType)=0
virtual void | setWTA_K (int wta_k)=0
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Public Member Functions inherited from cv::cuda::Feature2DAsync
virtual | ~Feature2DAsync ()
virtual void | computeAsync (InputArray image, OutputArray keypoints, OutputArray descriptors, Stream &stream=Stream::Null())
| Computes the descriptors for a set of keypoints detected in an image. More...
virtual void | convert (InputArray gpu_keypoints, std::vector< KeyPoint > &keypoints)=0
virtual void | detectAndComputeAsync (InputArray image, InputArray mask, OutputArray keypoints, OutputArray descriptors, bool useProvidedKeypoints=false, Stream &stream=Stream::Null())
virtual void | detectAsync (InputArray image, OutputArray keypoints, InputArray mask=noArray(), Stream &stream=Stream::Null())
| Detects keypoints in an image. More...

## Static Public Member Functions
static Ptr< ORB > | create (int nfeatures=500, float scaleFactor=1.2f, int nlevels=8, int edgeThreshold=31, int firstLevel=0, int WTA_K=2, int scoreType=ORB::HARRIS_SCORE, int patchSize=31, int fastThreshold=20, bool blurForDescriptor=false)
Static Public Member Functions inherited from cv::ORB
static Ptr< ORB > | create (int nfeatures=500, float scaleFactor=1.2f, int nlevels=8, int edgeThreshold=31, int firstLevel=0, int WTA_K=2, int scoreType=ORB::HARRIS_SCORE, int patchSize=31, int fastThreshold=20)
| The ORB constructor. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the ORB (oriented BRIEF) keypoint detector and descriptor extractor.

See also
  cv::ORB

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
X_ROW |
Y_ROW |
RESPONSE_ROW |
ANGLE_ROW |
OCTAVE_ROW |
SIZE_ROW |
ROWS_COUNT |

## Member Function Documentation

## ◆ create()

static Ptr<ORB> cv::cuda::ORB::create | ( | int | nfeatures = `500`,
|  | float | scaleFactor = `1.2f`,
|  | int | nlevels = `8`,
|  | int | edgeThreshold = `31`,
|  | int | firstLevel = `0`,
|  | int | WTA_K = `2`,
|  | int | scoreType = `ORB::HARRIS_SCORE`,
|  | int | patchSize = `31`,
|  | int | fastThreshold = `20`,
|  | bool | blurForDescriptor = `false`
| ) |  |
| static

## ◆ getBlurForDescriptor()

virtual bool cv::cuda::ORB::getBlurForDescriptor | ( |  | ) | const
| pure virtual

## ◆ setBlurForDescriptor()

virtual void cv::cuda::ORB::setBlurForDescriptor | ( | bool | blurForDescriptor | ) |
| pure virtual

if true, image will be blurred before descriptors calculation

The documentation for this class was generated from the following file:

- cudafeatures2d/include/opencv2/cudafeatures2d.hpp